Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2006-2304

Overview

Vulnerability Score 10.0 10.0
CVE Id CVE-2006-2304
Last Modified 07 Mar 2011 09:35:55
Published 11 May 2006 06:02:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2006-2304

Summary

Multiple integer overflows in the DPRPC library (DPRPCW32.DLL) in Novell Client 4.83 SP3, 4.90 SP2 and 4.91 SP2 allow remote attackers to execute arbitrary code via an XDR encoded array with a field that specifies a large number of elements, which triggers the overflows in the ndps_xdr_array function. NOTE: this was originally reported to be a buffer overflow by Novell, but the original cause is an integer overflow.

Vulnerable Systems

Application

  • Novell Client 4.83

  • Novell Client 4.90

  • Novell Client 4.91


References

BID - 17931

BUGTRAQ - 20060515 Novell NDPS Remote Vulnerability (Server & Client)

MISC - http://www.hustlelabs.com/novell_ndps_advisory.pdf

CONFIRM - http://support.novell.com/cgi-bin/search/searchtid.cgi?/2973719.htm

SECTRACK - 1016052

VUPEN - ADV-2006-1759

OSVDB - 25429

SECUNIA - 20048

XF - novell-ndps-overflow(26314)


Last Updated: 27 May 2016 10:42:24